Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.dom
Class DOMMessageFormatter

    java.lang.Object
      weblogic.apache.xerces.dom.DOMMessageFormatter

Deprecated. please use JDK supplied XML parsers and transformers

public class DOMMessageFormatter
extends Object

Used to format DOM error messages, using the system locale.

Field Summary
`static String` | `DOM_DOMAIN` Deprecated.
`static String` | `SERIALIZER_DOMAIN` Deprecated.

Constructor Summary
`DOMMessageFormatter()` Deprecated.

Method Summary
`static String` | `formatMessage(String domain, String key, Object[] arguments)` Deprecated. Formats a message with the specified arguments using the given locale information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOM_DOMAIN

    public static final String DOM_DOMAIN

  Deprecated.
  See Also:
    Constant Field Values

### SERIALIZER_DOMAIN

    public static final String SERIALIZER_DOMAIN

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### DOMMessageFormatter

    public DOMMessageFormatter()

  Deprecated.

Method Detail

### formatMessage

    public static String formatMessage(String domain,
                                       String key,
                                       Object[] arguments)
                                throws MissingResourceException

  Deprecated.
  Formats a message with the specified arguments using the given locale information.

  Parameters:
    `domain` - domain from which error string is to come.
    `key` - The message key.
    `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
  Returns:
    the formatted message.
  Throws:
    `MissingResourceException` - Thrown if the message with the specified key cannot be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD